summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_lede_common.sh
diff options
context:
space:
mode:
authorAlexander Couzens <lynxis@fe80.eu>2017-04-28 02:27:28 +0200
committerHolger Levsen <holger@layer-acht.org>2017-04-28 11:21:53 +0200
commit169af4cacaab711ec395ea5b9262e77e02662f06 (patch)
treed0e3c5980882e81e2a1a4ebdcc8ed30a1a37e16c /bin/reproducible_lede_common.sh
parentd83943b93127c9f773b47815078881d76ddcd1fd (diff)
downloadjenkins.debian.net-169af4cacaab711ec395ea5b9262e77e02662f06.tar.xz
reproducible/openwrt|lede: renable clean-up of $TMPDIR
Diffstat (limited to 'bin/reproducible_lede_common.sh')
-rw-r--r--bin/reproducible_lede_common.sh15
1 files changed, 6 insertions, 9 deletions
diff --git a/bin/reproducible_lede_common.sh b/bin/reproducible_lede_common.sh
index 8ba66064..38cc2a53 100644
--- a/bin/reproducible_lede_common.sh
+++ b/bin/reproducible_lede_common.sh
@@ -19,16 +19,13 @@ node_debug() {
# only called direct on a remote build node
node_cleanup_tmpdirs() {
export TMPDIR=$1
- local MESSAGE="Not cleaning up to make lynxis happy. Please notify lynxis he must clean up the tempdir $1 on $(hostname)."
- echo $MESSAGE
- irc_message reproducible-builds "$MESSAGE"
- #cd
+ cd
# (very simple) check we are deleting the right stuff
- #if [ "${TMPDIR:0:26}" != "/srv/reproducible-results/" ] || [ ${#TMPDIR} -le 26 ] ; then
- # echo "Something very strange with \$TMPDIR=$TMPDIR exiting instead of doing cleanup."
- # exit 1
- #fi
- #rm -rf $TMPDIR
+ if [ "${TMPDIR:0:26}" != "/srv/reproducible-results/" ] || [ ${#TMPDIR} -le 26 ] ; then
+ echo "Something very strange with \$TMPDIR=$TMPDIR exiting instead of doing cleanup."
+ exit 1
+ fi
+ rm -rf $TMPDIR
}
node_create_tmpdirs() {